//SKYBOX BY SOCK

//**********************************************************************//
//									//
//	Frozen.shader for Q3Radiant					//
//	by Sock - 14th August 2000					//
//									//

// Direction & elevation checked and adjusted - Speaker
//**********************************************************************//
// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
// color will be normalized, so it doesn't matter what range you use
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon


textures/quakrails/crystal_blue
{
	qer_editorimage textures/quakrails/crystal_blue.tga
	q3map_nonplanar
	q3map_shadeAngle 179
	qer_alphafunc greater 0.5
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans

	{
		map textures/effects/tinfx2c.tga 
		tcGen environment
		rgbGen identity
	}   
	{
		map textures/quakrails/crystal_blue.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

// Crystal Glow
textures/quakrails/crystal_glow
{
	cull none
   deformVertexes autosprite
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	qer_editorimage textures/quakrails/crystal_blueglow.tga

	{
		map textures/quakrails/crystal_blueglow.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .5 .2 0 .1
		alphaGen vertex
	}
}

// Item marker by Phantazm11



textures/quakrails/phantgothic_metal_blue
{
	q3map_lightImage textures/quakrails/phantgothic_metal_blue.tga
	surfaceparm nodamage
	surfaceparm slick
	q3map_surfacelight 3500
	q3map_lightsubdivide 128
	q3map_nonplanar
	{
		map textures/effects/tinfx2c.tga 
		tcGen environment
		rgbGen identity
	}   
	{
		map textures/quakrails/phantgothic_metal_blue.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/quakrails/phantgothic_metal_red
{
	q3map_lightImage textures/quakrails/phantgothic_metal_red.tga
	surfaceparm nodamage
	surfaceparm slick
	q3map_surfacelight 3500
	q3map_lightsubdivide 128
	q3map_nonplanar
	{
		map textures/effects/tinfx2c.tga 
		tcGen environment
		rgbGen identity
	}   
	{
		map textures/quakrails/phantgothic_metal_red.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/quakrails/phantgothic_metal_blend
{
	qer_editorImage textures/quakrails/phantgothic_metal_001
	q3map_alphaMod dotproduct ( 0.0 0.0 1 )
	surfaceparm nodamage
	surfaceparm slick
	q3map_surfacelight 120
	q3map_lightsubdivide 128
	q3map_nonplanar
	{
		// Primary
		map textures/quakrails/phantgothic_metal_blue.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/quakrails/phantgothic_metal_red.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/quakrails/phant_brick_03
{
	qer_editorImage textures/quakrails/phant_brick_04.tga
	{
		map textures/quakrails/phant_brick_04.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/quakrails/phant_brick_04
{
	surfaceparm slick
	{
		map textures/quakrails/phant_brick_04.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}